Search documentation of bb

# BB.Error.Invalid.Parameter exception (bb v0.17.0)

Copy Markdown View Source

Invalid runtime parameter.

Raised when a parameter value is invalid (e.g., out of range, wrong type, unregistered parameter path).

## Summary

### Functions

exception(args)

Create an `Elixir.BB.Error.Invalid.Parameter` without raising it.

## Functions

# exception(args)

    @spec exception(opts :: Keyword.t()) :: %BB.Error.Invalid.Parameter{
      __exception__: true,
      bread_crumbs: term(),
      class: term(),
      param_path: term(),
      path: term(),
      reason: term(),
      splode: term(),
      stacktrace: term(),
      value: term(),
      vars: term()
    }

Create an `Elixir.BB.Error.Invalid.Parameter` without raising it.

## Keys

- :param_path
- :value
- :reason